curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/metrics/employability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"employee_filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
}
],
"vacancy_filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
}
],
"weights": [
{
"weight": "skills_match",
"value": 1
},
{
"weight": "desired_functions",
"value": 0.03
}
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/metrics/employability"
payload = {
"employee_filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
}
],
"vacancy_filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
}
],
"weights": [
{
"weight": "skills_match",
"value": 1
},
{
"weight": "desired_functions",
"value": 0.03
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employee_filters: [{filter: 'max_geo_distance', max_geo_distance: 50}],
vacancy_filters: [{filter: 'max_geo_distance', max_geo_distance: 50}],
weights: [{weight: 'skills_match', value: 1}, {weight: 'desired_functions', value: 0.03}]
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/metrics/employability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entity_type": "Employee",
"entity_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"metric_name": "configurable_employability",
"metric_value": 0.8,
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get the employability metric using filters and weights
Retrieve the employability for this Employee. Employability is influenced by two factors: the number of matching Vacancies (demand) & the number of Employees that could fill those Vacancies (supply). It is reported as a number between 0 and 1, with the upper end indicating that an Employee has many matching opportunities (= high demand) for which there are not many matching Employees (= low supply). A lower score indicates fewer opportunities (= low demand), or that there is already a high supply of those profiles. Only active Vacancies and Employees are taken into account.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Body
Default structure for Employee data.
- max_geo_distance
- custom_property
- low_data_availability
Show child attributes
Show child attributes
- max_geo_distance
- custom_property
- low_data_availability
Show child attributes
Show child attributes
- skills_match
- desired_functions
Show child attributes
Show child attributes
[ { "weight": "skills_match", "value": 1 }, { "weight": "desired_functions", "value": 0.03 } ]
Response
OK
A measure indicating the degree to which this Employee can find other opportunities within your available Vacancies, reported as a number between 0 and 1.
"Employee"
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
"configurable_employability"
0 <= x <= 10.8
"2020-09-01T11:45:49Z"
Was this page helpful?